/**
 *
 */
package com.mysql.cluster.ndbj;

/**
 * This exception is thrown if you attempt to set a TimeStamp
 * value for a column that is out of bounds.
 * The maximum TimeStamp is "2037-12-31 23:59:59"
 * and the minimum TimeStamp is "1970-01-01 00:00:00"
 *
 * @author jdowling
 */
public class NdbApiTimeStampOutOfBoundsException extends NdbApiException {

	protected static final long serialVersionUID = 1L;
	/**
	 * @param error
	 */
	public NdbApiTimeStampOutOfBoundsException(long error) {
		super(error);
	}
	/**
	 * @param message
	 */
	public NdbApiTimeStampOutOfBoundsException(String message) {
		super(message);
	}
}
