/**
 *
 */
package com.mysql.cluster.ndbj;

/**
 * Indicates that a serious error has occured in the cluster (e.g., system failure) 
 * and the transaction will most likely not succeed if it is retried.
 * 
 * @author jdowling
 */
public class NdbApiUserErrorPermanentException extends NdbApiException {

	protected static final long serialVersionUID = 1L;
	/**
	 * @param error
	 */
	public NdbApiUserErrorPermanentException(long error) {
		super(error);
	}

	/**
	 * @param message
	 */
	public NdbApiUserErrorPermanentException(String message) {
		super(message);
	}

}
