package com.mysql.cluster.ndbj;


/**
 * This exception is thrown if there is problem in the NDB cluster
 * that will not be resolved by waiting for some resource to become
 * available. 
 * 
 */
public class NdbClusterConnectionPermanentException extends NdbApiException {

	protected static final long serialVersionUID = 1L;
	
	/**
	 * 
	 * @param error
	 */
	public NdbClusterConnectionPermanentException(long error) {
		super(error);
	}

	/**
	 * 
	 * @param message
	 */
	public NdbClusterConnectionPermanentException(String message) {
		super(message);
	}

}
