package com.mysql.cluster.ndbj;

/**
 * If an error is not recognised by Ndb/J, this exception is thrown.
 * This exception may be thrown if you have an old version of Ndb/J.
 * Update your Ndb/J version to the recommended version for your
 * version of MySQL cluster.
 *
 * @author jdowling
 *
 */
public class NdbErrorNotAvailable extends NdbApiException {

	protected static final long serialVersionUID=-2609741851L;

    public NdbErrorNotAvailable(String message)
	{
    	super(message);
	}

}
