package com.mysql.cluster.ndbj;

import java.math.BigInteger;
import java.util.Calendar;


interface NdbRecAttr {

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#aRef()
	 */
	public abstract String aRef() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getChar()
	 */
	public abstract char getChar() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getDouble()
	 */
	public abstract double getDouble() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getFloat()
	 */
	public abstract float getFloat() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getColType()
	 */
	public abstract int getColType() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getInt32()
	 */
	public abstract int getInt32() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getInt64()
	 */
	public abstract long getInt64() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#isNULL()
	 */
	public abstract int isNULL() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getShort()
	 */
	public abstract short getShort() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getUint32()
	 */
	public abstract long getUint32() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getUint64()
	 */
	public abstract BigInteger getUint64() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getUchar()
	 */
	public abstract short getUchar() throws NdbApiException ;

	/**
	 * @return
	 * @see com.mysql.cluster.ndbj.NdbRecAttrImpl#getUshort()
	 */
	public abstract int getUshort() throws NdbApiException ;
	
	public abstract Calendar getDatetime() throws NdbApiException ;


	public abstract String getString() throws NdbApiException ;

	public abstract byte[] getBytes() throws NdbApiException ;


	public abstract java.sql.Timestamp getTimestamp() throws NdbApiException ;


}
