/**
 * 
 */
package com.mysql.cluster.ndbj;

/**
 * Indicates that an invalid column name or column number was supplied. 
 * <BR>A column object could not be found from the table object given the column
 * name or column number. 
 * @author jdowling
 */
public class NoSuchColumnException extends NdbApiRuntimeException {

	protected static final long serialVersionUID=1L;
	/**
	 * 
	 */
	public NoSuchColumnException() {
	}

	/**
	 * @param arg0
	 */
	public NoSuchColumnException(String arg0) {
		super(arg0);
	}

	/**
	 * @param arg0
	 */
	public NoSuchColumnException(Throwable arg0) {
		super(arg0);
	}

	/**
	 * @param arg0
	 * @param arg1
	 */
	public NoSuchColumnException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

}
