/**
 *
 */
package com.mysql.cluster.ndbj;

/**
 * Indicates that an invalid Index name or Table name was supplied. 
 * <br>An Index object could not be created from the operation object given the Index
 * name and Table Name. 
 * @author jdowling
 */
public class NoSuchIndexException extends NdbApiRuntimeException {

	protected static final long serialVersionUID=1L;
	/**
	 * 
	 */
	public NoSuchIndexException() {
	}

	/**
	 * @param arg0
	 */
	public NoSuchIndexException(String arg0) {
		super(arg0);
	}

	/**
	 * @param arg0
	 */
	public NoSuchIndexException(Throwable arg0) {
		super(arg0);
	}

	/**
	 * @param arg0
	 * @param arg1
	 */
	public NoSuchIndexException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

}
