package com.mysql.cluster.ndbj;

/**
 * Indicates that an invalid table name was supplied. 
 * <br>A table object could not be found from the operation object given the table
 * name. 
 * @author jdowling
 */
public class NoSuchTableException extends NdbApiRuntimeException {

	protected static final long serialVersionUID=1L;
	/**
	 * 
	 */
	public NoSuchTableException() {
	}

	/**
	 * @param arg0
	 */
	public NoSuchTableException(String arg0) {
		super(arg0);
	}

	/**
	 * @param arg0
	 */
	public NoSuchTableException(Throwable arg0) {
		super(arg0);
	}

	/**
	 * @param arg0
	 * @param arg1
	 */
	public NoSuchTableException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

}
