-- MySQL dump 10.10
--
-- Host: localhost    Database: sfndb
-- ------------------------------------------------------
-- Server version	5.0.24a-Debian_10-debug-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `ContentObject`
--

DROP TABLE IF EXISTS `ContentObject`;
CREATE TABLE `ContentObject` (
  `id` int(11) NOT NULL auto_increment,
  `class_name` varchar(255) default NULL,
  `parent_id` int(11) default NULL,
  `name` varchar(30) default NULL,
  `title` varchar(60) default NULL,
  `description` varchar(255) default NULL,
  `position` int(11) default NULL,
  `user_id` int(11) default NULL,
  `image_count` int(11) default NULL,
  PRIMARY KEY  (`id`),
  KEY `user_idx` (`user_id`)
) ENGINE=ndbcluster DEFAULT CHARSET=latin1;

drop table if exists Project; 
create table Project (
  id int not null auto_increment, 
  class_name varchar(255) default null, 
  director varchar(32) default null, 
  producer varchar(32) default null, 
  location varchar(64) default null, 
  venue varchar(32) default null, 
  start date default '1900-01-01',
  end date default '2399-12-31',
  primary key (id)
) engine=ndbcluster default charset=latin1;
--
-- Dumping data for table `ContentObject`
--
